XBUBBLE(6)

NAME
xbubble - an X Window based puzzle bubble clone

SYNOPSIS
xbubble [OPTION]

DESCRIPTION
XBubble is a Puzzle Bubble (PB) / Bust-A-Move (BAM) clone for Unix/X11 platforms. It was written from scratch with no real intent to exactly reproduce the original game.

OPTIONS

-d DISPLAY
    Set X display to DISPLAY.

-s <scale>
    Set game window size ( 5 <= scale <= 100 ). The game window size is normally automatically scaled to your screen size. This option is useful to reduce load on slow/loaded systems. See also the -f option.

-f <framerate>
    Adjust frame rate (in frames per second). Usual values are 100 (default), 50, 33, 25, etc. The actual frame rate may be different from the one you specified, depending on system timer resolution. You can use this option to reduce load on slow/loaded systems (e.g. if sprite animation is jerky). See also the -s option.

-r <resourcepath>
    Tell XBubble to look for its graphics files, fonts, etc. in directory <resourcepath>.

-t <themename>
    Use the given theme (possible values are: plain, frozen, fancy).

PLAYING
The goal is to clear all bubbles from your board and avoid bubbles dropping below the line at the bottom of the screen. You can rotate and fire a canon that launches colored bubbles. Bubbles bounce against the walls until they get stuck to another bubble. If you get three or more adjacent bubbles of the same color they all explode, while any bubble left hanging free falls down. In single player mode, the ceiling goes down every 12 launches so that you must clear the board before the ceiling touches the ground. In multi-player mode, the ceiling does not move but a fresh row of bubbles is added on top of the board while all bubbles are lowered by one row. Additionally, each time you explode three or more bubbles, all extra bubbles are sent ( with random colors ) to your opponent, as well all falling bubbles. You win the round when your opponent loses ( has bubbles dropping across the bottom line ). After a few seconds delay, your canon launches its bubble anyway. You can tune this delay when selecting your handicap. The higher the handicap, the shorter the delay. When you receive bubbles from your opponent, you canon is blocked from firing until all received bubbles get stuck.

GAME CONTROL
The game is entirely controlled using the keyboard: Player 1

    Left arrow / Keypad 4 = Rotate canon left

    Right arrow / Keypad 6 = Rotate canon right

    Up arrow / Keypad 5 = Launch bubble

Player 2

    x = Rotate canon left

    v = Rotate canon right

    c = Launch bubble

General

    Up arrow / Keypad 8 = Menu navigate up

    Down arrow / Keypad 2 = Menu navigate down

    p = Pause

    Escape / q = Abort There is no command-line option for changing control keys yet.

PLAYER VS COMPUTER MODE
You can choose between 5 levels of difficulty. Beware of the highest level if you have a slow machine, as it is quite CPU consuming.

BUGS
Please report any bugs you find to Ivan <ivan@savannah.gnu.org>.

LICENSE
xbubble is covered by the GNU General Public License (GPL).

SEE ALSO
frozen-bubble(6).

AUTHOR
Ivan Djelic <ivan@savannah.gnu.org> Martin Quinson <martin.quinson@tuxfamily.org>